QCA::SecureMessageSystem Class Reference
QCA user API

`#include <QtCrypto>`

Collaboration diagram for QCA::SecureMessageSystem:
[legend]

## Protected Member Functions

| SecureMessageSystem (QObject *parent, const QString &type, const QString &provider)
Protected Member Functions inherited from QCA::Algorithm
| Algorithm ()
| Algorithm (const QString &type, const QString &provider)

## Additional Inherited Members

Public Member Functions inherited from QCA::Algorithm
| Algorithm (const Algorithm &from)
void | change (const QString &type, const QString &provider)
void | change (Provider::Context *c)
Provider::Context * | context ()
const Provider::Context * | context () const
Algorithm & | operator= (const Algorithm &from)
Provider * | provider () const
Provider::Context * | takeContext ()
QString | type () const

## Detailed Description

Abstract superclass for secure messaging systems.

See also
  SecureMessage
  SecureMessageKey

## Constructor & Destructor Documentation

## SecureMessageSystem()

QCA::SecureMessageSystem::SecureMessageSystem | ( | QObject * | parent,
|  | const QString & | type,
|  | const QString & | provider )

protected

Protected constructor for SecureMessageSystem classes.

You are meant to be using a subclass (such as OpenPGP or CMS) - you only need to worry about this class if you are creating a whole new SecureMessageSystem type.

Parameters

  parent | the parent object for this object
  type | the name of the Type of SecureMessageSystem to create
  provider | the provider to use, if a specific provider is required.

References QCA::Algorithm::provider(), SecureMessageSystem(), and QCA::Algorithm::type().

Referenced by SecureMessageSystem().

The documentation for this class was generated from the following file:

- qca_securemessage.h